CUDA Driver API (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 5.10. CUDA_TEXTURE_DESC Struct Reference

## [Data types used by CUDA driver]

Texture descriptor

### Public Variables

CUaddress_mode addressMode[3]
float borderColor[4]
CUfilter_mode filterMode
unsigned int flags
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
CUfilter_mode mipmapFilterMode
float mipmapLevelBias

### Variables

CUaddress_mode CUDA_TEXTURE_DESC::addressMode[3] [inherited]

  Address modes

float CUDA_TEXTURE_DESC::borderColor[4] [inherited]

  Border Color

CUfilter_mode CUDA_TEXTURE_DESC::filterMode [inherited]

  Filter mode

unsigned int CUDA_TEXTURE_DESC::flags [inherited]

  Flags

unsigned int CUDA_TEXTURE_DESC::maxAnisotropy [inherited]

  Maximum anisotropy ratio

float CUDA_TEXTURE_DESC::maxMipmapLevelClamp [inherited]

  Mipmap maximum level clamp

float CUDA_TEXTURE_DESC::minMipmapLevelClamp [inherited]

  Mipmap minimum level clamp

CUfilter_mode CUDA_TEXTURE_DESC::mipmapFilterMode [inherited]

  Mipmap filter mode

float CUDA_TEXTURE_DESC::mipmapLevelBias [inherited]

  Mipmap level bias